Evaluator
=========

FunctionalEvaluator
-------------------

..  autoclass:: nni.retiarii.evaluator.FunctionalEvaluator
    :members:

Classification
--------------

..  autoclass:: nni.retiarii.evaluator.pytorch.Classification
    :members:

..  autoclass:: nni.retiarii.evaluator.pytorch.ClassificationModule
    :members:

Regression
----------

..  autoclass:: nni.retiarii.evaluator.pytorch.Regression
    :members:

..  autoclass:: nni.retiarii.evaluator.pytorch.RegressionModule
    :members:

Utilities
---------

..  autoclass:: nni.retiarii.evaluator.pytorch.Trainer

..  autoclass:: nni.retiarii.evaluator.pytorch.DataLoader

Customization
-------------

..  autoclass:: nni.retiarii.Evaluator
    :members:

..  autoclass:: nni.retiarii.evaluator.pytorch.Lightning
    :members:

..  autoclass:: nni.retiarii.evaluator.pytorch.LightningModule
    :members:

Cross-graph Optimization (experimental)
---------------------------------------

..  autoclass:: nni.retiarii.evaluator.pytorch.cgo.evaluator.MultiModelSupervisedLearningModule
    :members:

..  autoclass:: nni.retiarii.evaluator.pytorch.cgo.evaluator.Classification
    :members:

..  autoclass:: nni.retiarii.evaluator.pytorch.cgo.evaluator.Regression
    :members:
